Package org.bukkit.conversations

# Interface ConversationPrefix

All Known Implementing Classes:
  `NullConversationPrefix`, `PluginNameConversationPrefix`

public interface ConversationPrefix
A ConversationPrefix implementation prepends all output from the conversation to the player. The ConversationPrefix can be used to display the plugin name or conversation status as the conversation evolves.

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getPrefix(@NotNull ConversationContext context)`
Gets the prefix to use before each message to the player.

## Method Details

### getPrefix

@NotNull @NotNull String getPrefix(@NotNull @NotNull ConversationContext context)
Gets the prefix to use before each message to the player.

Parameters:
  `context` - Context information about the conversation.
Returns:
  The prefix text.